\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\clip(0,-5) rectangle (10.6,6);
\draw(5,0) circle (4cm);
\draw(5,0) circle (3cm);
\draw (3.63,3.76)-- (3.97,2.82);
\draw (5,4)-- (5,3);
\draw (8.46,-2)-- (7.6,-1.5);
\draw (3,-3.46)-- (3.5,-2.6);
\draw (3.92,4.44) node[anchor=north west] {M};
\draw (9.06,2.62) node[anchor=north west] {G1};
\draw (6.42,-4.02) node[anchor=north west] {S};
\draw (0.18,0.12) node[anchor=north west] {G2};
\draw [line width=4.4pt] (5,0) circle (3.6cm);
\draw (5,4.2)-- (5,4.5);
\draw (4.9,5.72) node[anchor=north west] {t=0};
\end{tikzpicture}